<back to all web services

SendForTranslation

The following routes are available for this service:
POST/RestApi/translations/translate
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;

public class dtos
{

    public static class SendForTranslation
    {
        public ArrayList<UUID> Ids = null;
        public CreateProject ProjectData = null;
        
        public ArrayList<UUID> getIds() { return Ids; }
        public SendForTranslation setIds(ArrayList<UUID> value) { this.Ids = value; return this; }
        public CreateProject getProjectData() { return ProjectData; }
        public SendForTranslation setProjectData(CreateProject value) { this.ProjectData = value; return this; }
    }

    public static class CreateProject implements IProjectInfo
    {
        public String Title = null;
        public Date StartDate = null;
        public Date EndDate = null;
        public String Description = null;
        public String Connector = null;
        public String PoReference = null;
        public String ActualSourceLanguage = null;
        
        public String getTitle() { return Title; }
        public CreateProject setTitle(String value) { this.Title = value; return this; }
        public Date getStartDate() { return StartDate; }
        public CreateProject setStartDate(Date value) { this.StartDate = value; return this; }
        public Date getEndDate() { return EndDate; }
        public CreateProject setEndDate(Date value) { this.EndDate = value; return this; }
        public String getDescription() { return Description; }
        public CreateProject setDescription(String value) { this.Description = value; return this; }
        public String getConnector() { return Connector; }
        public CreateProject setConnector(String value) { this.Connector = value; return this; }
        public String getPoReference() { return PoReference; }
        public CreateProject setPoReference(String value) { this.PoReference = value; return this; }
        public String getActualSourceLanguage() { return ActualSourceLanguage; }
        public CreateProject setActualSourceLanguage(String value) { this.ActualSourceLanguage = value; return this; }
    }

}

Java SendForTranslation DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/translate HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"ProjectData":{"Title":"String","StartDate":"\/Date(-62135596800000-0000)\/","EndDate":"\/Date(-62135596800000-0000)\/","Description":"String","Connector":"String","PoReference":"String","ActualSourceLanguage":"String"}}